List managed ring groups
GET
/v1/ns/{nsid}/resources/ring-groups
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/ring-groups';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resources/ring-groups \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
boolean
ring_groups
Array<object>
object
group
string
mode
string
devices
Array<string>
lines
Array<string>
strategy
string
ring_for
integer
no_answer_resource_type
string
no_answer_resource_id
string
Examplegenerated
{ "success": true, "ring_groups": [ { "group": "example", "mode": "example", "devices": [ "example" ], "lines": [ "example" ], "strategy": "example", "ring_for": 1, "no_answer_resource_type": "example", "no_answer_resource_id": "example" } ]}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}